DELETE
/api/conversations/{conversationId}Block access or delete data of the verification process
Creates the conversation deletion order in two available modes:
- EXPIRE (default) - triggers the process of expiration of active conversation. After completing such an order, the conversation will be switched to the 'EXPIRED' status. The verification process will be blocked. This means that the user entering such a verification process will be automatically redirected to the 'returnUrl' address.
- DELETE_DATA - triggers the process of data deletion from finished conversation. This mode should be used with caution, when you are sure that you do not expect any callbacks associated with the conversation as they may not be delivered.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
conversationId | path | string | Required | Conversation ID |
mode | query | string | Optional | Deletion mode Allowed values: EXPIREDELETE_DATA |
Responses
Accepted
Exhaustion of the plan or limitations related to non-payment
Forbidden
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Conversation not found
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Conflict
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Conversation is unavailable
Content-Type
application/vnd.authologic.v1.1+jsonJSONstatusstring required Response status
messagestring required Descriptive error message
violationsarray<Violation> required Validation error list
statusDetailstringResponse status detailed information
Server side error